{% extends 'shared/homeLayout.twig' %}
{% block title %}GBIN{% endblock %}
{% block content %}
    <textarea id="textArea" class="homeTextarea">
    </textarea>

    <div style="position: absolute; top: 20px; right: 10px">
        <a href="/"><img src="https://i.imgur.com/lf8H8rK.png" style="width: 100px;">
        <img src="https://i.imgur.com/nuMcPm8.png" style="width: 100px; margin-left: -10px;"></a>
    </div>
    <div style="position: absolute; top: 70px; right: 28px">
        <a class="btn-floating btn-small waves-effect waves-light grey darken-4 tooltipped" onclick="saveCode();"
             style="margin-right: 10px;" data-position="botton" data-background-color="grey darken-4" data-tooltip="Save"><i class="material-icons">save</i></a>
        <a class="btn-floating btn-small waves-effect waves-light grey darken-4 tooltipped disabled" 
            style="margin-right: 10px;" data-position="botton" data-background-color="grey darken-4" data-tooltip="Edit"><i class="material-icons">create</i></a>
        <a class="btn-floating btn-small waves-effect waves-light grey darken-4 tooltipped disabled" 
            style="margin-right: 10px;" data-position="botton" data-background-color="grey darken-4" data-tooltip="Raw"><i class="material-icons">insert_drive_file</i></a>
    </div>

<script>
    $(document).ready(function(){
        $('.fixed-action-btn').floatingActionButton();

        $('.tooltipped').tooltip({delay: 50}).each(function () {
            let background = $(this).data('background-color');
            if (background) {
                $("#" + $(this).data('tooltip-id')).find(".backdrop").addClass(background);
            }
        });
        $('#textArea').val('');
    });

    function saveCode(){
        const code = $('#textArea').val();
        if(code == "")
            return;

        const path = `{{ path_for('saveCode') }}`

        const formData = new FormData();
        formData.append("Code",code);

        $.ajax({
            url: path,
            data: formData,
            cache: false,
            processData: false,
            contentType: false,
            type: 'POST',
            success: function (response) {
                const json = JSON.parse(response);

                if(json.success){
                    window.location.href= `{{ path_for('viewCode', {id:""}) }}${json.AccessId}`;
                }
            }
        });
    }
</script>
{% endblock %}